Package com.enonic.xp.node

## Class NodePublishRequest

- java.lang.Object
- - com.enonic.xp.node.NodePublishRequest

-     @PublicApi
      public class NodePublishRequest
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodePublishRequest` | `childOf​(NodeId nodeId, NodeId childOf)` |
    `NodeId` | `getNodeId()` |
    `NodePublishReason` | `getReason()` |
    `static NodePublishRequest` | `parentFor​(NodeId nodeId, NodeId parentOf)` |
    `boolean` | `reasonChildOf()` |
    `boolean` | `reasonParentFor()` |
    `boolean` | `reasonReferredFrom()` |
    `boolean` | `reasonRequested()` |
    `static NodePublishRequest` | `referredFrom​(NodeId nodeId, NodeId referredFrom)` |
    `static NodePublishRequest` | `requested​(NodeId nodeId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNodeId

          public NodeId getNodeId()

    - #### reasonParentFor

          public boolean reasonParentFor()

    - #### reasonChildOf

          public boolean reasonChildOf()

    - #### reasonRequested

          public boolean reasonRequested()

    - #### reasonReferredFrom

          public boolean reasonReferredFrom()

    - #### getReason

          public NodePublishReason getReason()

    - #### requested

          public static NodePublishRequest requested​(NodeId nodeId)

    - #### parentFor

          public static NodePublishRequest parentFor​(NodeId nodeId,
                                                     NodeId parentOf)

    - #### childOf

          public static NodePublishRequest childOf​(NodeId nodeId,
                                                   NodeId childOf)

    - #### referredFrom

          public static NodePublishRequest referredFrom​(NodeId nodeId,
                                                        NodeId referredFrom)